#ifndef _HD_H
#define _HD_H

struct driveInfo {
  char hdSector[512];
  char hdEnable;
  char hdDev;
  char hdFlags;
  char hdShift;
  long hdMask;
  long hdMulti;
  long hdPort;
  long hdSize;
  long hdCalc;
  };

void initHardDisk();
int initDrive(struct driveInfo *);
void hdWrite(struct driveInfo *hdd,long startSector,long sectorCount,void *baseAddr);
void hdRead(struct driveInfo *hdd,long startSector,long sectorCount,void *baseAddr);

extern struct driveInfo *hdd0;
extern struct driveInfo *hdd1;
extern struct driveInfo *hdd2;
extern struct driveInfo *hdd3;

#endif

